Second Presentment Documents

Once in the 2nd Presentment phase, this API method is used to receive the supporting documents raised by the acquirer for a claim.

Request/response fields and samples

Request Path Parameters

ParameterTypeLimitsRequiredDescription
chargebackIdstring✓Chargeback ID
claimIDstring✓Claim ID
formatstringORIGINAL, MERGED_TIFF, MERGED PDF✓File format.
{
    "chargebackId": "CHARGEBACK ID",
    "claimID": "CLAIM_ID",
    "format": "ORIGINAL_TIFF"
}

Response Path Parameters

ParametertypeDescription
fileAttachmentObjectFile attachment
filenameStringFile name
fileStringFile content in base64 encoded string
{
    "fileAttachment": {
        "filename": "FILE_NAME",
        "file": "BASE64_ENCODED_FILE"
    }
}

Other response codes

Further response codes and details can be found here.


Additional info

FieldValue
HTTP MethodGET
URL/URI (SIT/UAT)https://chargebacks.test.tutuka.cloud/client/claims/{claim-id}/chargebacks/{chargebackId}/documents?format={format}
HTTP HeadersContent-Type: text/plain
Query String Parametersformat={format}
FormatJSON
AuthenticationBearer BEARER_TOKEN
Success Response Code200
Error Response Code500